# Class WorkoutEvent

java.lang.Object
com.codename1.health.workout.WorkoutEvent

public final class WorkoutEvent extends Object
A marked moment inside a workout -- a lap, a segment boundary, a user-placed marker.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `WorkoutEvent.Kind`
  What kind of moment an event marks.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkoutEvent(WorkoutEvent.Kind kind, long timestampMillis, String label)`
  Creates an event at a moment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WorkoutEvent.Kind`
  `getKind()`
  What this event marks.
  `String`
  `getLabel()`
  A user-visible label, or null.
  `long`
  `getTimestampMillis()`
  When it happened, epoch millis UTC.
  `static WorkoutEvent`
  `lap(long timestampMillis)`
  A lap boundary at `timestampMillis`.
  `static WorkoutEvent`
  `marker(long timestampMillis, String label)`
  A user-placed marker at `timestampMillis`.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WorkoutEvent

    public WorkoutEvent(WorkoutEvent.Kind kind, long timestampMillis, String label)
    Creates an event at a moment.

- ## Method Details

  - ### lap

    public static WorkoutEvent lap(long timestampMillis)
    A lap boundary at `timestampMillis`.

  - ### marker

    public static WorkoutEvent marker(long timestampMillis, String label)
    A user-placed marker at `timestampMillis`.

  - ### getKind

    public WorkoutEvent.Kind getKind()
    What this event marks.

  - ### getTimestampMillis

    public long getTimestampMillis()
    When it happened, epoch millis UTC.

  - ### getLabel

    public String getLabel()
    A user-visible label, or null.

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`